2010年1月30日土曜日

Wordpressの要求に応え、データベースをアップデート

Wordpressのバージョン2.9.1では、MySQLに5.0以上を要求されるので、レンサバのDBのアップデートを行う。

といっても、こちらを参考にそのまま実施いたしました。ありがたいことです。
http://blogging.from.tv/wp/2010/01/10/3223

そんなに難しくなく、
  1. DBをエクスポート
  2. DBを削除
  3. DBを新規作成
  4. DBをインポート
  5. WPの設定変更
と行った具合です。確認したところ、当然ながら見た目はかわること無く、アップデート完了です。実際はすげーパワーアップしてんぞ、とか思ったりもします。

さて、DB周りを触るついでに、他のCMSとの共存について検討してみました。Movable typeとjoomlaを配置してみましたが、DBにテーブルが追加されるのみで、元のレコードが消えてなくなるなどのトラブルは有りませんでした。
これは、それぞれのCMSがprefixでテーブルを作成するため、名前が重複しなければどんどん追加していけるという訳です。

当然ながら、一つのDBにいくつものサービスが載ることになり、レスポンスの低下、バックアップやメンテナンスがめんどくさくなるなどの問題も発生しますが、いろいろ試すには便利なものです。

さて、ガワばかりではなく、次はコンテンツの充実を計らねば、、、

0 件のコメント:

コメントを投稿